package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Collection;
import java.util.Collections;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-01-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("admin")
@ApiModel(value="Admin对象", description="")
public class Admin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "管理员ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "管理员用户名")
    private String username;

    @ApiModelProperty(value = "管理员密码")
    private String password;

    @ApiModelProperty(value = "管理员真实姓名")
    private String realName;

    @ApiModelProperty(value = "管理员电子邮件")
    private String email;

    @ApiModelProperty(value = "管理员电话号码")
    private String tel;

    @ApiModelProperty(value = "是否启用管理员账户")
    private Boolean enabled;

    @ApiModelProperty(value = "管理员账户创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "管理员账户更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "管理员权限")
    private String authority;

    @ApiModelProperty(value = "管理员认证信息")
    private String auths;

    @ApiModelProperty(value = "操作人ID")
    private Integer operatorId;




}
